> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stickyqr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Customer Details by ID

> Returns the customer's details identified by that customer's ID



## OpenAPI

````yaml GET /customers/{id}
openapi: 3.0.1
info:
  title: StickyQR Public API
  description: StickyQR Public API
  license:
    name: MIT
  version: 1.0.1
servers:
  - url: https://app.stickyqr.com/api
security:
  - bearerAuth: []
tags:
  - name: Account
  - name: Customers
  - name: Rewards
  - name: QR
paths:
  /customers/{id}:
    get:
      tags:
        - Customers
      summary: Get Customer By Id
      description: Returns the customer's details identified by that customer's ID
      operationId: getCustomerById
      parameters:
        - name: x-lang
          in: header
          schema:
            type: string
            example: en
            default: en
          description: Language support
        - name: type
          in: query
          required: true
          schema:
            type: string
            example: phone
          description: id | phone | email
        - name: id
          in: path
          required: true
          schema:
            type: string
            example: '+12345678999'
          description: Depends on the type parameter. Id, phone or email of customer
      responses:
        '200':
          description: Successfull Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: Customer's id
                  name:
                    type: string
                    nullable: true
                    description: Customer's name
                  phone:
                    type: string
                    description: Customer's phone
                  email:
                    type: string
                    nullable: true
                    description: Customer's email
                  avatar:
                    type: string
                    description: Link of customer's avatar
                  balance:
                    type: number
                    description: Current balance of customer
                  lifetimePoints:
                    type: number
                    description: The cumulative points earned, excluding redeemed points
              examples:
                Successfull Response:
                  value:
                    id: <string>
                    name: <string>
                    phone: <string>
                    email: <string>
                    avatar: <string
                    balance: 123
                    lifetimePoints: 123
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````